## qt6-sensors 6.2.4

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)

project(QtSensors
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Sensors Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS
             Xml Gui Widgets Quick Qml Svg DBus QuickTest
)

qt_build_repo()

=== config.tests/winrt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(config_test_winrt LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

if(MSVC)
    target_link_libraries(${PROJECT_NAME} PRIVATE
        runtimeobject.lib
    )
endif()

=== src/plugins/CMakeLists.txt ===
add_subdirectory(sensors)
# add_subdirectory(sensorgestures)

=== src/sensors/CMakeLists.txt ===
#####################################################################
## Sensors Module:
#####################################################################

qt_internal_add_module(Sensors
    PLUGIN_TYPES sensors # sensorgestures
    SOURCES
    # gestures/qsensorgesture.cpp gestures/qsensorgesture.h gestures/qsensorgesture_p.h
    # gestures/qsensorgesturemanager.cpp gestures/qsensorgesturemanager.h
    # gestures/qsensorgesturemanagerprivate.cpp gestures/qsensorgesturemanagerprivate_p.h
    # gestures/qsensorgestureplugininterface.cpp gestures/qsensorgestureplugininterface.h
    # gestures/qsensorgesturerecognizer.cpp gestures/qsensorgesturerecognizer.h
    qsensorbackend.cpp qsensorbackend.h
    qsensormanager.cpp qsensormanager.h
    qsensorplugin.cpp qsensorplugin.h
    qsensorsglobal.h
    sensorlog_p.h
    qsensor.h
    qaccelerometer.h
    qambientlightsensor.h
    qambienttemperaturesensor.h
    qcompass.h
    qlightsensor.h
    qmagnetometer.h
    qorientationsensor.h
    qproximitysensor.h
    qirproximitysensor.h
    qrotationsensor.h
    qtapsensor.h
    qtiltsensor.h
    qgyroscope.h
    qpressuresensor.h
    qhumiditysensor.h
    qlidsensor.h
    qsensor_p.h
    qaccelerometer_p.h
    qambientlightsensor_p.h
    qambienttemperaturesensor_p.h
    qcompass_p.h
    qlightsensor_p.h
    qmagnetometer_p.h
    qorientationsensor_p.h
    qproximitysensor_p.h
    qirproximitysensor_p.h
    qrotationsensor_p.h
    qtapsensor_p.h
    qtiltsensor_p.h
    qgyroscope_p.h
    qpressuresensor_p.h
    qhumiditysensor_p.h
    qlidsensor_p.h
    qsensor.cpp
    qaccelerometer.cpp
    qambientlightsensor.cpp
    qambienttemperaturesensor.cpp
    qcompass.cpp
    qlightsensor.cpp
    qmagnetometer.cpp
    qorientationsensor.cpp
    qproximitysensor.cpp
    qirproximitysensor.cpp
    qrotationsensor.cpp
    qtapsensor.cpp
    qtiltsensor.cpp
    qgyroscope.cpp
    qpressuresensor.cpp
    qhumiditysensor.cpp
    qlidsensor.cpp
    DEFINES
        $<$<CONFIG:Debug>:ENABLE_RUNTIME_SENSORLOG>
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)

if(ANDROID)
    set_property(TARGET Sensors APPEND PROPERTY QT_ANDROID_LIB_DEPENDENCIES
        plugins/sensors/libplugins_sensors_qtsensors_android.so
    )
endif()

## Scopes:
#####################################################################

qt_internal_extend_target(Sensors CONDITION SENSORS_CONFIG_PATH
    DEFINES
        QTSENSORS_CONFIG_PATH="${SENSORS_CONFIG_PATH}"
)

qt_internal_add_docs(Sensors
    doc/qtsensors.qdocconf
)

=== tests/auto/CMakeLists.txt ===
add_subdirectory(qsensor)
add_subdirectory(cmake)
if(TARGET Qt::Quick)
    add_subdirectory(qml)
endif()
# add_subdirectory(qsensorgestures)
# add_subdirectory(qsensorgestureplugins)
# if(UNIX AND NOT APPLE)
#     add_subdirectory(qsensorgestures_gestures)
# endif()

=== examples/sensors/accelbubble/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(accelbubble LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/accelbubble")

find_package(Qt6 COMPONENTS Core Gui Quick Sensors Svg Xml)

qt_add_executable(accelbubble
    main.cpp
)
set_target_properties(accelbubble PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

if(ANDROID)
    set_property(TARGET accelbubble PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR
        ${CMAKE_CURRENT_SOURCE_DIR}/android)
    endif()
if(APPLE)
    if(IOS)
        set_property(TARGET accelbubble PROPERTY
            MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
        )
    endif()
endif()

target_link_libraries(accelbubble PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Sensors
    Qt::Svg
    Qt::Xml
)

# Resources:
set(accelbubble_resource_files
    "accelbubble.qml"
    "content/Bluebubble.svg"
)

qt6_add_resources(accelbubble "accelbubble"
    PREFIX
        "/"
    FILES
        ${accelbubble_resource_files}
)

install(TARGETS accelbubble
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/sensors/grue/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(grue_app LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/grue")

find_package(Qt6 COMPONENTS Quick Sensors)

qt_add_executable(grue_app
    main.cpp qmlgruesensor.h qmlgruesensor.cpp
)
set_target_properties(grue_app PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(grue_app PUBLIC
    Qt::Quick
    Qt::Sensors
)

qt6_add_qml_module(grue_app
    VERSION 1.0
    URI "QMLGrueSensor"
    QML_FILES
        grue.qml
    RESOURCES
        grue.png
)

add_subdirectory(plugin)

# Need to link to the plugin manually in a static Qt build.
if(NOT QT6_IS_SHARED_LIBS_BUILD)
    target_link_libraries(grue_app PRIVATE qtsensors_grue)
    target_sources(grue_app PRIVATE grue_plugin_import_custom.cpp)
endif()

set(build_console_app TRUE)

# The console app is not a macos bundle, so the shared library plugin wouldn't be found
if(APPLE AND QT6_IS_SHARED_LIBS_BUILD)
    set(build_console_app FALSE)
endif()

# Gui-less apps don't make sense for these platforms
if(IOS OR EMSCRIPTEN OR ANDROID)
    set(build_console_app FALSE)
endif()

if(build_console_app)
    add_subdirectory(console_app)
endif()

install(TARGETS grue_app
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/sensors/maze/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(maze LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/maze")

find_package(Qt6 COMPONENTS Core Gui Quick Sensors)

qt_add_executable(maze
    main.cpp
)
set_target_properties(maze PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
if(ANDROID)
    set_property(TARGET maze PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR
        ${CMAKE_CURRENT_SOURCE_DIR}/android)
    endif()
if(APPLE)
    if(IOS)
        set_property(TARGET maze PROPERTY
            MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
        )
    endif()
endif()

target_link_libraries(maze PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Sensors
)

# Resources:
set(maze_resource_files
    "Congratulation.qml"
    "LabyrinthSquare.qml"
    "Mouse.qml"
    "components/ApplicationWindow.qml"
    "components/Button.qml"
    "components/images/button_background_disabled.png"
    "components/images/button_background_normal.png"
    "components/images/button_background_pressed.png"
    "content/00.png"
    "content/01.png"
    "content/cheese.png"
    "content/cheeseeating.gif"
    "content/congratulations.gif"
    "content/mouse_down.gif"
    "content/start.png"
    "lib.js"
    "maze.qml"
)

qt6_add_resources(maze "maze"
    PREFIX
        "/"
    FILES
        ${maze_resource_files}
)

install(TARGETS maze
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/sensors/qmlqtsensors/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(qmlqtsensors LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/qmlqtsensors")

find_package(Qt6 COMPONENTS Core Gui Quick)

qt_add_executable(qmlqtsensors
    main.cpp
)
set_target_properties(qmlqtsensors PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(qmlqtsensors PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
)


# Resources:
set(qmlqtsensors_resource_files
    "components/ApplicationWindow.qml"
    "components/Button.qml"
    "components/Divider.qml"
    "components/images/button_background_disabled.png"
    "components/images/button_background_normal.png"
    "components/images/button_background_pressed.png"
    "qmlqtsensors.qml"
)

qt6_add_resources(qmlqtsensors "qmlqtsensors"
    PREFIX
        "/"
    FILES
        ${qmlqtsensors_resource_files}
)

install(TARGETS qmlqtsensors
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/sensors/qmlsensorgestures/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(qmlsensorgestures LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/qmlsensorgestures")

find_package(Qt6 COMPONENTS Quick)

qt_add_executable(qmlsensorgestures
    main.cpp
)

set_target_properties(qmlsensorgestures PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(qmlsensorgestures PUBLIC
    Qt::Quick
)

# Resources:
set(qml_resource_files
    "Button.qml"
    "GestureList.qml"
    "GestureView.qml"
    "GesturesView.qml"
    "qmlsensorgestures.qml"
)

qt6_add_resources(qmlsensorgestures "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)

install(TARGETS qmlsensorgestures
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)
add_subdirectory(plugin)

=== examples/sensors/sensor_explorer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(sensor_explorer LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/sensor_explorer")

find_package(Qt6 COMPONENTS Qml Quick Sensors)

qt_add_executable(sensor_explorer
    main.cpp
    sensormodels.cpp sensormodels.h
)

set_target_properties(sensor_explorer PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(sensor_explorer PUBLIC
    Qt::Qml
    Qt::Quick
    Qt::Sensors
)

qt_add_qml_module(sensor_explorer
    URI SensorModels
    VERSION 1.0
    QML_FILES sensor_explorer.qml
    NO_RESOURCE_TARGET_PATH
)

install(TARGETS sensor_explorer
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/sensors/sensorgestures/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(gesture LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/sensorgestures")

find_package(Qt6 COMPONENTS Core Gui Sensors Widgets)

qt_add_executable(gesture
    main.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
)
set_target_properties(gesture PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(gesture PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Sensors
    Qt::Widgets
)

install(TARGETS gesture
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-sensors (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 23:04:42 +0200

qt6-sensors (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:48:56 +0100

qt6-sensors (6.2.2-2) experimental; urgency=medium

  * Team upload.
  * Fix build on non-Linux architectures:
    - add the dh-exec build dependency, needed for architecture filters in
      .install files
    - make libqt6sensors6.install, and libqt6sensors6-dev.install use dh-exec,
      and limit installation of Linux-only files

 -- Pino Toscano <pino@debian.org>  Mon, 31 Jan 2022 20:27:36 +0100

qt6-sensors (6.2.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Dec 2021 08:29:41 +0100

qt6-sensors (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #999894)

 -- Patrick Franz <deltaone@debian.org>  Thu, 18 Nov 2021 08:38:54 +0100

=== debian/control ===
Source: qt6-sensors
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               dh-exec,
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libqt6svg6-dev (>= 6.2.4~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.2.4+dfsg~),
               qml6-module-qttest (>= 6.2.4+dfsg~),
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git
Rules-Requires-Root: no

Package: libqt6sensors6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Sensors library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Sensors library.

Package: libqt6sensorsquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Sensors Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Sensors Quick library.

Package: qml6-module-qtsensors
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Sensors QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Sensors QML module for Qt Declarative.

Package: libqt6sensors6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6sensors6 (= ${binary:Version}),
         libqt6sensorsquick6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Sensors - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Sensors library.

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtsensors-everywhere-src-(.*)\.tar\.xz

## qt6-sensors 6.3.1

=== debian/changelog ===
qt6-sensors (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:23:46 +0200

qt6-sensors (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 18:38:46 +0200

qt6-sensors (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 20 Jun 2022 02:13:13 +0200

qt6-sensors (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,25 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.18~),
+               debhelper-compat (= 13),
                dh-exec,
-               debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
-               libqt6svg6-dev (>= 6.2.4~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6svg6-dev (>= 6.3.1~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.2.4+dfsg~),
-               qml6-module-qttest (>= 6.2.4+dfsg~),
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
+               qml6-module-qtquick (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git

## qt6-sensors 6.4.2

=== src/CMakeLists.txt ===
add_subdirectory(sensors)
add_subdirectory(plugins)
if(TARGET Qt::Quick)
    add_subdirectory(sensorsquick)
endif()

=== config.tests/winrt/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 project(config_test_winrt LANGUAGES C CXX)
+
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
+    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
+endif()
+if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
+    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
+endif()
 
 foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
     find_package(${p})
@@ -22,6 +29,6 @@
 
 if(MSVC)
     target_link_libraries(${PROJECT_NAME} PRIVATE
-        runtimeobject.lib
+        runtimeobject
     )
 endif()

=== src/sensors/CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,7 @@
         Qt::Core
     PRIVATE_MODULE_INTERFACE
         Qt::CorePrivate
+    GENERATE_CPP_EXPORTS
 )
 
 if(ANDROID)

=== examples/sensors/accelbubble/CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,20 @@
 cmake_minimum_required(VERSION 3.16)
 project(accelbubble LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/accelbubble")
 
-find_package(Qt6 COMPONENTS Core Gui Quick Sensors Svg Xml)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Sensors Svg Xml)
 
 qt_add_executable(accelbubble
     main.cpp
 )
+
 set_target_properties(accelbubble PROPERTIES
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE

=== examples/sensors/qmlqtsensors/CMakeLists.txt ===
--- 
+++ 
@@ -1,33 +1,30 @@
 cmake_minimum_required(VERSION 3.16)
 project(qmlqtsensors LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/qmlqtsensors")
 
-find_package(Qt6 COMPONENTS Core Gui Quick)
+find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick)
 
 qt_add_executable(qmlqtsensors
     main.cpp
 )
+
 set_target_properties(qmlqtsensors PROPERTIES
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE
 )
+
 target_link_libraries(qmlqtsensors PUBLIC
     Qt::Core
     Qt::Gui
     Qt::Quick
 )
-
 
 # Resources:
 set(qmlqtsensors_resource_files

=== examples/sensors/qmlsensorgestures/CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,15 @@
 cmake_minimum_required(VERSION 3.16)
 project(qmlsensorgestures LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/qmlsensorgestures")
 
-find_package(Qt6 COMPONENTS Quick)
+find_package(Qt6 REQUIRED COMPONENTS Quick)
 
 qt_add_executable(qmlsensorgestures
     main.cpp
@@ -49,4 +45,5 @@
     BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
     LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
 )
+
 add_subdirectory(plugin)

=== examples/sensors/sensor_explorer/CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,15 @@
 cmake_minimum_required(VERSION 3.16)
 project(sensor_explorer LANGUAGES CXX)
 
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 if(NOT DEFINED INSTALL_EXAMPLESDIR)
-  set(INSTALL_EXAMPLESDIR "examples")
+    set(INSTALL_EXAMPLESDIR "examples")
 endif()
 
 set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/sensor_explorer")
 
-find_package(Qt6 COMPONENTS Qml Quick Sensors)
+find_package(Qt6 REQUIRED COMPONENTS Qml Quick Sensors)
 
 qt_add_executable(sensor_explorer
     main.cpp
@@ -24,6 +20,7 @@
     WIN32_EXECUTABLE TRUE
     MACOSX_BUNDLE TRUE
 )
+
 target_link_libraries(sensor_explorer PUBLIC
     Qt::Qml
     Qt::Quick

=== examples/sensors/sensorgestures/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(gesture LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/sensorgestures")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Sensors Widgets)

qt_add_executable(gesture
    main.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
)

set_target_properties(gesture PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(gesture PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Sensors
    Qt::Widgets
)

install(TARGETS gesture
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/sensors/sensorsshowcase/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(sensorsshowcase LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/sensorsshowcase")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Sensors Svg)

qt_add_executable(sensorsshowcase
    main.cpp
)

set_target_properties(sensorsshowcase PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

if(ANDROID)
    set_property(TARGET sensorsshowcase PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR
        ${CMAKE_CURRENT_SOURCE_DIR}/android)
    endif()
if(APPLE)
    if(IOS)
        set_property(TARGET sensorsshowcase PROPERTY
            MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist"
        )
    endif()
endif()

target_link_libraries(sensorsshowcase PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Sensors
    Qt::Svg
)

# Resources:
set(sensorsshowcase_resource_files
    "sensorsshowcase.qml"
    "accelerometer.qml"
    "proximity.qml"
    "compass.qml"
    "magnetometer.qml"
    "gyroscope.qml"
    "images/magnet.svg"
    "images/compass.svg"
    "images/qt_logo.png"
)

qt6_add_resources(sensorsshowcase "sensorsshowcase"
    PREFIX
        "/"
    FILES
        ${sensorsshowcase_resource_files}
)

install(TARGETS sensorsshowcase
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/sensors/shakeit/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(shakeit LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/sensors/shakeit")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick)

qt_add_executable(shakeit
    main.cpp
)

set_target_properties(shakeit PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(shakeit PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
)

# Resources:
set(shakeit_resource_files
    "audio/loopy2a_mono.wav"
    "audio/phone.wav"
    "content/triangle.png"
    "content/triangle2.png"
    "content/triangle3.png"
    "shakeit.qml"
)

qt6_add_resources(shakeit "shakeit"
    PREFIX
        "/"
    FILES
        ${shakeit_resource_files}
)

install(TARGETS shakeit
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/plugins/sensorgestures/CMakeLists.txt ===
add_subdirectory(shake)
add_subdirectory(qtsensors)

=== tests/auto/qsensorgestures/CMakeLists.txt ===
#####################################################################
## tst_qsensorgesturetest Test:
#####################################################################

qt_internal_add_test(tst_qsensorgesturetest
    SOURCES
        plugins/test/qtest2recognizer.cpp plugins/test/qtest2recognizer.h
        plugins/test/qtestrecognizer.cpp plugins/test/qtestrecognizer.h
        plugins/test/qtestsensorgestureplugin.cpp plugins/test/qtestsensorgestureplugin_p.h
        plugins/test1/qtest2recognizerdup.cpp plugins/test1/qtest2recognizerdup.h
        plugins/test1/qtestrecognizerdup.cpp plugins/test1/qtestrecognizerdup.h
        plugins/test1/qtestsensorgestureplugindup.cpp plugins/test1/qtestsensorgestureplugindup.h
        tst_qsensorgesturetest.cpp
    DEFINES
        QT_STATICPLUGIN
    PUBLIC_LIBRARIES
        Qt::Sensors
)

=== debian/changelog ===
qt6-sensors (6.4.2-4build3) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 16:06:54 +0100

qt6-sensors (6.4.2-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:55:09 +0000

qt6-sensors (6.4.2-4build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:01:15 +0000

qt6-sensors (6.4.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 01 Aug 2023 18:21:30 +0200

qt6-sensors (6.4.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Add binary package for examples (Closes: #1042321).
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Jul 2023 01:35:56 +0200

qt6-sensors (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Wed, 21 Jun 2023 00:50:57 +0200

qt6-sensors (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Tue, 24 Jan 2023 12:41:41 +0100

qt6-sensors (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6sensors6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:56:58 +0100

qt6-sensors (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:54 +0100

qt6-sensors (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:28 +0100

qt6-sensors (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6sensors6-dev to qt6-sensors-dev.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 22:48:21 +0100

qt6-sensors (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 01:04:47 +0100

qt6-sensors (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Oct 2022 11:43:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,30 @@
 Source: qt6-sensors
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libqt6svg6-dev (>= 6.3.1~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.3.1+dfsg~),
-               qml6-module-qttest (>= 6.3.1+dfsg~),
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+               qml6-module-qtquick (>= 6.4.2+dfsg~),
+               qml6-module-qttest (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-svg-dev (>= 6.4.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git
@@ -61,7 +63,8 @@
  .
  This package contains the Qt Sensors QML module for Qt Declarative.
 
-Package: libqt6sensors6-dev
+Package: qt6-sensors-dev
+Provides: libqt6sensors6-dev (= ${binary:Version})
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -69,9 +72,56 @@
          libqt6sensorsquick6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
+Breaks: libqt6sensors6-dev (<< 6.4.1-2~)
+Replaces: libqt6sensors6-dev (<< 6.4.1-2~)
 Description: Qt 6 Sensors - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the header development files used for building Qt 6
  applications using Qt Sensors library.
+
+Package: qt6-sensors-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: qt6-base-doc, ${misc:Depends},
+Description: Qt 6 Sensors documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for Qt 6 Sensors.
+
+Package: qt6-sensors-doc-html
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: qt6-base-doc-html, ${misc:Depends},
+Description: Qt 6 Sensors HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for Qt 6 Sensors.
+
+Package: qt6-sensors-doc-dev
+Architecture: all
+Multi-Arch: foreign
+Section: libdevel
+Depends: qt6-base-doc-dev, ${misc:Depends},
+Description: Qt 6 Sensors tags files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the doxygen tags files for the Qt Sensors
+ documentation.
+
+Package: qt6-sensors-examples
+Architecture: any
+Multi-Arch: same
+Section: misc
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Sensors examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the examples for the Qt Sensors submodule.

## qt6-sensors 6.6.1

=== debian/changelog ===
qt6-sensors (6.6.1-2) experimental; urgency=medium

  * Revert the resolution of the dh-exec-useless-usage Lintian info by using
    a wildcard in place of the flag. Team policy is to use the flag.
  * Keep the doc build dependencies at 6.6~.
  * Remove unnecessary QML build dependencies.
  * Merge libqt6sensorsquick6 into qml6-module-qtsensors and add appropriate
    Breaks/Replaces.
  * Complete the rename from libqt6sensors6-dev to qt6-sensors-dev by updating
    the build dependency in the symbols file.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 12 Dec 2023 15:47:09 -0600

qt6-sensors (6.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Update debian/copyright to reflect move to BSD-3-clause.
    - Update the install files appropriately.
  * Add my name to Uploaders.
  * Update symbols from amd64 build logs.
  * Resolve the dh-exec-useless-usage Lintian info by using a wildcard
    in place of the flag.
  * Add an upstream metadata file.
  * Fix remaining miscellaneous Lintian overrides.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 12 Dec 2023 14:34:30 -0600

## qt6-sensors 6.6.2

=== debian/changelog ===
qt6-sensors (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:36:57 +0200

qt6-sensors (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Feb 2024 23:01:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: qt6-sensors
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lu YaNing <dluyaning@gmail.com>,
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
@@ -11,19 +12,17 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.4.2+dfsg~),
-               qml6-module-qttest (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
-               qt6-svg-dev (>= 6.4.2~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-svg-dev (>= 6.6.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
@@ -41,22 +40,13 @@
  .
  This package contains Qt 6 Sensors library.
 
-Package: libqt6sensorsquick6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 6 Sensors Quick library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains Qt 6 Sensors Quick library.
-
 Package: qml6-module-qtsensors
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libqt6sensorsquick6 (<< 6.6.1-2)
+Replaces: libqt6sensorsquick6 (<< 6.6.1-2)
 Description: Qt 6 Sensors QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -69,7 +59,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libqt6sensors6 (= ${binary:Version}),
-         libqt6sensorsquick6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6sensors6-dev (<< 6.4.1-2~)

## qt6-sensors 6.7.2

=== src/sensors/doc/snippets/sensors/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(sensorsdocsnippet LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt6 COMPONENTS Core Sensors)

qt_add_executable(sensorsdocsnippet
    creating.cpp
    main.cpp
    mybackend.h
    plugin.cpp
    start.cpp
)

target_link_libraries(sensorsdocsnippet PUBLIC
        Qt::Sensors
)

if (GCC AND UNIX)
    target_link_libraries(sensorsdocsnippet PUBLIC
        rdynamic
        log
    )
endif()

=== debian/changelog ===
qt6-sensors (6.7.2-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Nov 2024 23:29:47 +0100

qt6-sensors (6.7.2-2) unstable; urgency=medium

  * Remove virtual package libqt6sensors6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:00:53 +0200

qt6-sensors (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 21:23:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,24 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
-               qt6-svg-dev (>= 6.6.2~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-svg-dev (>= 6.7.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git
@@ -44,7 +46,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6sensorsquick6 (<< 6.6.1-2)
 Replaces: libqt6sensorsquick6 (<< 6.6.1-2)
 Description: Qt 6 Sensors QML module
@@ -54,11 +56,11 @@
  This package contains the Qt Sensors QML module for Qt Declarative.
 
 Package: qt6-sensors-dev
-Provides: libqt6sensors6-dev (= ${binary:Version})
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6sensors6 (= ${binary:Version}),
+         qml6-module-qtsensors (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6sensors6-dev (<< 6.4.1-2~)

## qt6-sensors 6.8.0

=== debian/changelog ===
qt6-sensors (6.8.0-0deepin) UNRELEASED; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Wed, 06 Nov 2024 11:11:55 +0800

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,22 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-svg-dev (>= 6.7.2~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-svg-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-sensors.git
@@ -46,9 +44,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Breaks: libqt6sensorsquick6 (<< 6.6.1-2)
-Replaces: libqt6sensorsquick6 (<< 6.6.1-2)
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libqt6sensorsquick6 (<< 6.8.0-2)
+Replaces: libqt6sensorsquick6 (<< 6.8.0-2)
 Description: Qt 6 Sensors QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -56,11 +54,11 @@
  This package contains the Qt Sensors QML module for Qt Declarative.
 
 Package: qt6-sensors-dev
+Provides: libqt6sensors6-dev (= ${binary:Version})
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6sensors6 (= ${binary:Version}),
-         qml6-module-qtsensors (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6sensors6-dev (<< 6.4.1-2~)
